org.eclipse.rdf4j.model.vocabulary

## Class SPIF

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.SPIF

-     public final class SPIF
      extends Object

  http://spinrdf.org/spif#.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IRI` | `BUILD_STRING_FUNCTION`
    `static IRI` | `BUILD_URI_FUNCTION`
    `static IRI` | `CAN_INVOKE_FUNCTION`
    `static IRI` | `CAST_FUNCTION`
    `static IRI` | `CONVERT_SPIN_RDF_TO_STRING_FUNCTION`
    `static IRI` | `CURRENT_TIME_MILLIS_FUNCTION`
    `static IRI` | `DATE_FORMAT_FUNCTION`
    `static IRI` | `DECIMAL_FORMAT_FUNCTION`
    `static IRI` | `DECODE_URL_FUNCTION`
    `static IRI` | `ENCODE_URL_FUNCTION`
    `static IRI` | `FOR_EACH_PROPERTY`
    `static IRI` | `FOR_PROPERTY`
    `static IRI` | `GENERATE_UUID_FUNCTION`
    `static IRI` | `HAS_ALL_OBJECTS_FUNCTION`
    `static IRI` | `INDEX_OF_FUNCTION`
    `static IRI` | `INVOKE_FUNCTION`
    `static IRI` | `IS_VALID_URI_FUNCTION`
    `static IRI` | `LAST_INDEX_OF_FUNCTION`
    `static IRI` | `LOWER_CASE_FUNCTION`
    `static IRI` | `LOWER_TITLE_CASE_FUNCTION`
    `static IRI` | `MOD_FUNCTION`
    `static IRI` | `NAME_FUNCTION`
    `static String` | `NAMESPACE` http://spinrdf.org/spif
    `static IRI` | `PARSE_DATE_FUNCTION`
    `static String` | `PREFIX`
    `static IRI` | `RANDOM_FUNCTION`
    `static IRI` | `REPLACE_ALL_FUNCTION`
    `static IRI` | `SPLIT_PROPERTY`
    `static IRI` | `TIME_MILLIS_FUNCTION`
    `static IRI` | `TITLE_CASE_FUNCTION`
    `static IRI` | `TRIM_FUNCTION`
    `static IRI` | `UN_CAMEL_CASE_FUNCTION`
    `static IRI` | `UPPER_CASE_FUNCTION`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      http://spinrdf.org/spif
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      See Also:
        Constant Field Values

    - #### MOD_FUNCTION

          public static final IRI MOD_FUNCTION

    - #### PARSE_DATE_FUNCTION

          public static final IRI PARSE_DATE_FUNCTION

    - #### DATE_FORMAT_FUNCTION

          public static final IRI DATE_FORMAT_FUNCTION

    - #### DECIMAL_FORMAT_FUNCTION

          public static final IRI DECIMAL_FORMAT_FUNCTION

    - #### TRIM_FUNCTION

          public static final IRI TRIM_FUNCTION

    - #### CURRENT_TIME_MILLIS_FUNCTION

          public static final IRI CURRENT_TIME_MILLIS_FUNCTION

    - #### TIME_MILLIS_FUNCTION

          public static final IRI TIME_MILLIS_FUNCTION

    - #### GENERATE_UUID_FUNCTION

          public static final IRI GENERATE_UUID_FUNCTION

    - #### RANDOM_FUNCTION

          public static final IRI RANDOM_FUNCTION

    - #### CAST_FUNCTION

          public static final IRI CAST_FUNCTION

    - #### INDEX_OF_FUNCTION

          public static final IRI INDEX_OF_FUNCTION

    - #### LAST_INDEX_OF_FUNCTION

          public static final IRI LAST_INDEX_OF_FUNCTION

    - #### ENCODE_URL_FUNCTION

          public static final IRI ENCODE_URL_FUNCTION

    - #### DECODE_URL_FUNCTION

          public static final IRI DECODE_URL_FUNCTION

    - #### BUILD_STRING_FUNCTION

          public static final IRI BUILD_STRING_FUNCTION

    - #### BUILD_URI_FUNCTION

          public static final IRI BUILD_URI_FUNCTION

    - #### CONVERT_SPIN_RDF_TO_STRING_FUNCTION

          public static final IRI CONVERT_SPIN_RDF_TO_STRING_FUNCTION

    - #### REPLACE_ALL_FUNCTION

          public static final IRI REPLACE_ALL_FUNCTION

    - #### NAME_FUNCTION

          public static final IRI NAME_FUNCTION

    - #### UN_CAMEL_CASE_FUNCTION

          public static final IRI UN_CAMEL_CASE_FUNCTION

    - #### IS_VALID_URI_FUNCTION

          public static final IRI IS_VALID_URI_FUNCTION

    - #### HAS_ALL_OBJECTS_FUNCTION

          public static final IRI HAS_ALL_OBJECTS_FUNCTION

    - #### INVOKE_FUNCTION

          public static final IRI INVOKE_FUNCTION

    - #### CAN_INVOKE_FUNCTION

          public static final IRI CAN_INVOKE_FUNCTION

    - #### UPPER_CASE_FUNCTION

          public static final IRI UPPER_CASE_FUNCTION

    - #### LOWER_CASE_FUNCTION

          public static final IRI LOWER_CASE_FUNCTION

    - #### TITLE_CASE_FUNCTION

          public static final IRI TITLE_CASE_FUNCTION

    - #### LOWER_TITLE_CASE_FUNCTION

          public static final IRI LOWER_TITLE_CASE_FUNCTION

    - #### FOR_EACH_PROPERTY

          public static final IRI FOR_EACH_PROPERTY

    - #### FOR_PROPERTY

          public static final IRI FOR_PROPERTY

    - #### SPLIT_PROPERTY

          public static final IRI SPLIT_PROPERTY

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.